<ion-header>
  <ion-toolbar>
    <ion-title>public</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item-sliding *ngFor="let user of users">
      <ion-item>
        <ion-text slot="start">
          {{ user.username }}
        </ion-text>
        <ion-text slot="end">
          {{ user.name }}
        </ion-text>
      </ion-item>

      <ion-item-options side="end" (ionSwipe)="delete(user.id)">
        <ion-item-option color="danger" (click)="delete(user.id)" expandable>
          <ion-icon slot="top" name="trash"></ion-icon>
          Удалить
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
